<?php
function bonuspressx_dashboard(){

// Universal Variables

$pluginName = "bonuspressx";
$sitePath = site_url() . "/wp-content/plugins/". $pluginName;

?>

<!-- LOAD CSS -->

<link href="<?php echo $sitePath; ?>/css/bootstrap-2.css" rel="stylesheet" type="text/css" />
<link href="<?php echo $sitePath; ?>/css/table.min.css" rel="stylesheet" type="text/css" />
<link href="<?php echo $sitePath; ?>/css/datepicker.css" rel="stylesheet" type="text/css" />
<link href="<?php echo $sitePath; ?>/css/colorpicker.css" rel="stylesheet" type="text/css" />
<link href="<?php echo $sitePath; ?>/css/btdt.css" rel="stylesheet" type="text/css" />

<?php include("css.php"); ?>

<!-- UI FRAMEWORK -->

<?php include("ui-core.php"); ?>
<?php include("ui-com2.php"); ?>

<!-- JAVASCRIPT -->

<script type="text/javascript" src="<?php echo $sitePath; ?>/inc/js/bootstrap.min.js"></script>
<script type="text/javascript" src="<?php echo $sitePath; ?>/inc/js/colorpicker.js"></script>
<script type="text/javascript" src="<?php echo $sitePath; ?>/inc/js/colorconversion.js"></script>
<script type="text/javascript" src="<?php echo $sitePath; ?>/inc/js/datepicker.js"></script>

<script src="<?php echo $sitePath; ?>/inc/js/jquery.dataTables.min.js"></script>

<?php include("js-core.php"); ?>
<?php include("ie.php"); ?>

<div id="mWrapper">

	<div id="mHeader">

		<div id="mLogo">
			<img src="<?php echo $sitePath; ?>/images/header.png" alt="">
		</div>

		<div id="mNav">
			
			<div class="navItem <?php if(isset($_GET['create']) || isset($_GET['settings']) || isset($_GET['support']) || isset($_GET['id']) ){} else { echo "navSelected"; } ?>">
				<a href="<?php echo site_url(); ?>/wp-admin?page=<?php echo $pluginName; ?>-dashboard">Dashboard</a>
			</div>

			<div class="navItem <?php if(isset($_GET['create'])){ echo "navSelected"; } ?> ">
				<a href="<?php echo site_url(); ?>/wp-admin?page=<?php echo $pluginName; ?>-dashboard&create">Create Bonus Page</a>
			</div>

			<div class="navItem <?php if(isset($_GET['support'])){ echo "navSelected"; } ?>">
				<a href="<?php echo site_url(); ?>/wp-admin?page=<?php echo $pluginName; ?>-dashboard&support">Support</a>
			</div>

			<br clear="left" />

		</div>

	</div>

	<div id="container">
	
	<?php 
			
				// Edit App

				if ( isset($_GET['id']) ) {
					include("editapp.php");
				}

				// Create New App

				else if (isset($_GET['create'])) {
					include("create.php");
				} 

				// Support

				else if (isset($_GET['support'])) {
					include("support.php");
				} 

				// Show Dashboard :: 	

				else {
					include("dash.php");
				}
			
		?>

	</div>
	


</div>		


<?php
}
?>