<?php

// DISPLAY OPTIONS

function display_option_img($num, $data, $title, $id, $help, $options){

	// Get options:

	$items = trim($items);
	$items = explode(",", $options);

	// Output HTML

	?>

	<div class="editSection">

		<div class="inputTitle">
			<div class="inputTitleText" ><?php echo $title; ?></div>
			<div class="inputHelpText" ><?php echo $help; ?> </div>
		</div>


		
		<div class="inputSection" style="margin-top: -10px;" >
			 
			  <?php

			  	$i = 0; // Counter
			  	$selectedClass = "";

			  	foreach($items as $item) {

			  		// parse value

			  		$item = explode("[", $item);
			  		$item[0] = trim($item[0]);
			  		$item[1] = str_replace("]", "", $item[1]);

			  		if( $data == "" && $i == "0" ){
			  			// Is First Element && Data is null
			  			$selectedClass = "dub_select_image_selected";
			  		}

			  		?>
			  		<div class="dub_select_image <?php echo $selectedClass; ?> <?php if($data == $item[1] ){ echo "dub_select_image_selected"; } ?> ds_<?php echo $id; ?>" dsData="<?php echo $item[1]; ?>" dsID="<?php echo $id; ?>" > 

			  		<img src="<?php echo $item[0]; ?>" />

			  		</div>
			  		<?php

			  		$i++; // add to counter
			  		$selectedClass = ""; // Reset Class
			  	}

			  ?>

			  <br clear="left" >
			  
			<input type='hidden' class="elem" name="<?php echo $id; ?>" id="<?php echo $id; ?>" value="<?php echo $data; ?>" />
		
		</div>
		<br clear="left" >

	</div>

	<?php
}

// DISPLAY A COLOR PICKER

function display_color($num, $data, $title, $id, $help){

	// Output HTML

	?>

	<div class="editSection">

		<div class="inputTitle">
			<div class="inputTitleText" ><?php echo $title; ?></div>
			<div class="inputHelpText" ><?php echo $help; ?> </div>
		</div>

		<div class="inputSection ">
			<input class="inputField elem  cp-picker color-field-picker" type="text" name="<?php echo $id; ?>" id="<?php echo $id; ?>" value="<?php echo htmlspecialchars(stripcslashes($data)); ?>" style=" background-color: <?php echo htmlspecialchars(stripcslashes($data)); ?>;" >
		</div>
		<br clear="left" >

	</div>

	<?php
}

// DISPLAY A COLOR PICKER

function display_date($num, $data, $title, $id, $help){

	// Output HTML

	?>

	<div class="editSection">

		<div class="inputTitle">
			<div class="inputTitleText" ><?php echo $title; ?></div>
			<div class="inputHelpText" ><?php echo $help; ?> </div>
		</div>

		<div class="inputSection ">
			<input class="inputField elem dp-date date-field-picker" type="text" name="<?php echo $id; ?>" id="<?php echo $id; ?>" value="<?php echo htmlspecialchars(stripcslashes($data)); ?>" >
		</div>
		<br clear="left" >

	</div>

	<?php
}

?>