<?php

// CSS Button - Get Color & Action
function scButton_func( $atts, $content = null ){
	extract( shortcode_atts( array(
		'color' => 'scb',
		'size' => 'large',
		'action' => 'offer'
	), $atts ) );

	// Change Grey To SCB
	if($color == "grey"){
		$color = "scb";
	}

	$content = do_shortcode($content);

	// Set Action:
	if( $action == "offer" ){ // Run Offer CMD
		return "<a href='#' class='{$size} scb {$color} sc-bp-offer' style='text-decoration:none;' >".$content."</a>";
	} else if( $action == "optin" ){ // Run Optin CMD
		return "<a href='#' class='{$size} scb {$color} sc-bp-optin' style='text-decoration:none;' >".$content."</a>";
	} else { // Go To External Link
		return "<a href='{$action}' target='_blank' class='{$size} scb {$color}' style='text-decoration:none;' >".$content."</a>";
	}
}
add_shortcode( 'scButton', 'scButton_func' );

// IMAGE BUTTON
function scButtonImage_func( $atts ){
	extract( shortcode_atts( array(
		'image_url' => '#',
		'action' => 'offer'
	), $atts ) );

	$content = do_shortcode($content);

	// Set Action:
	if( $action == "offer" ){ // Run Offer CMD
		return "<a href='#' class='sc-bp-offer' style='text-decoration:none;' ><img src='{$image_url}' border='0' /></a>";
	} else if( $action == "optin" ){ // Run Optin CMD
		return "<a href='#' class='sc-bp-optin' style='text-decoration:none;' ><img src='{$image_url}' border='0' /></a>";
	} else { // Go To External Link
		return "<a href='{$action}' target='_blank'><img src='{$image_url}' border='0' /></a>";
	}
}
add_shortcode( 'scButtonImage', 'scButtonImage_func' );


?>