<?php

// Content Boxes Rounded
function scBoxRound_func( $atts, $content = null ){
	extract( shortcode_atts( array(
		'color' => 'grey'
	), $atts ) );
	$content = do_shortcode($content);
	return "<div class='scBoxRound_{$color}' >".$content."</div>";
}
add_shortcode( 'scBoxRound', 'scBoxRound_func' );

// Content Boxes Top-Bottom
function scBoxTB_func( $atts, $content = null ){
	extract( shortcode_atts( array(
		'color' => 'grey'
	), $atts ) );
	$content = do_shortcode($content);
	return "<div class='scBoxTB_{$color}' >".$content."</div>";
}
add_shortcode( 'scBoxTB', 'scBoxTB_func' );

// Bonus Boxes
function scBonusBox_func( $atts, $content = null ){
	extract( shortcode_atts( array(
		'color' => 'black',
		'step' => '1',
		'title' => ''
	), $atts ) );
	$content = do_shortcode($content);
	return "<div class='scBonusBox'>
			<div class='scBonusBox_{$color} scBonusBox_header' >
			<div class='scBonusBox_step'>{$step}</div>
			<div class='scBonusBox_title'>{$title}</div>
			<br clear='left' />
			</div>
			<div class='scBonusBox_content' >".$content."</div>
			</div>";
}
add_shortcode( 'scBonusBox', 'scBonusBox_func' );

?>